gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.LevelBarAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype LevelBarAccessible = LevelBarAccessible (ManagedPtr LevelBarAccessible)
- class (GObject o, IsDescendantOf LevelBarAccessible o) => IsLevelBarAccessible o
- toLevelBarAccessible :: (MonadIO m, IsLevelBarAccessible o) => o -> m LevelBarAccessible

# Exported types

newtype LevelBarAccessible Source #

Memory-managed wrapper type.

Constructors

LevelBarAccessible (ManagedPtr LevelBarAccessible) |

#### Instances

Instances details

Eq LevelBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible Methods (==) :: LevelBarAccessible -> LevelBarAccessible -> Bool Source # (/=) :: LevelBarAccessible -> LevelBarAccessible -> Bool Source #
GObject LevelBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible
ManagedPtrNewtype LevelBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible Methods toManagedPtr :: LevelBarAccessible -> ManagedPtr LevelBarAccessible Source #
TypedObject LevelBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible Methods glibType :: IO GType Source #
HasParentTypes LevelBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible
IsGValue (Maybe LevelBarAccessible) Source # | Convert `LevelBarAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe LevelBarAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe LevelBarAccessible) Source #
type ParentTypes LevelBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible type ParentTypes LevelBarAccessible = '[WidgetAccessible, Accessible, Object, Object, Component, Value]

class (GObject o, IsDescendantOf LevelBarAccessible o) => IsLevelBarAccessible o Source #

Type class for types which can be safely cast to `LevelBarAccessible`, for instance with `toLevelBarAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf LevelBarAccessible o) => IsLevelBarAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.LevelBarAccessible

toLevelBarAccessible :: (MonadIO m, IsLevelBarAccessible o) => o -> m LevelBarAccessible Source #

Cast to `LevelBarAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getCurrentValue, getData, getDescription, getExtents, getHelpText, getIncrement, getIndexInParent, getLayer, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRange, getRole, getSize, getSubRanges, getValueAndText, getWidget.

#### Setters

setAccessibleId, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setValue, setWidget.